﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
			<Scripts>
				<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js"></asp:ScriptReference>
				<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js"></asp:ScriptReference>
				<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js"></asp:ScriptReference>
			</Scripts>
		</telerik:RadScriptManager>
		<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" DefaultLoadingPanelID="RadAjaxLoadingPanel1">
			<AjaxSettings>
				<telerik:AjaxSetting AjaxControlID="dgv">
					<UpdatedControls>
						<telerik:AjaxUpdatedControl ControlID="dgv" />
						<telerik:AjaxUpdatedControl ControlID="lblStatus" />
					</UpdatedControls>
				</telerik:AjaxSetting>
			</AjaxSettings>
		</telerik:RadAjaxManager>

		<div class="dbStatus">
			<asp:Label runat="server" ID="lblStatus" EnableViewState="false" Font-Bold="true" />
		</div>

		<telerik:RadGrid ID="dgv" runat="server" AutoGenerateColumns="False" PageSize="10" AllowPaging="True" AllowSorting="True"
			OnNeedDataSource="dgv_NeedDataSource" OnUpdateCommand="dgv_UpdateCommand" OnInsertCommand="dgv_InsertCommand"
			OnItemDeleted="dgv_ItemDeleted" OnItemInserted="dgv_ItemInserted">

			<MasterTableView TableLayout="Auto" DataKeyNames="Record_Id" ShowHeadersWhenNoRecords="true" EditMode="PopUp" CommandItemDisplay="Top" InsertItemDisplay="Top">

				<NoRecordsTemplate>
					<div>
						There are no records
					</div>
				</NoRecordsTemplate>

				<Columns>
					<telerik:GridEditCommandColumn></telerik:GridEditCommandColumn>

					<telerik:GridBoundColumn UniqueName="colRecordId" DataField="Record_Id" HeaderText="Record_Id">
					</telerik:GridBoundColumn>

					<telerik:GridBoundColumn UniqueName="colContinent" DataField="Continent" HeaderText="">
					</telerik:GridBoundColumn>

					<telerik:GridBoundColumn UniqueName="colContinentBI" DataField="ContinentBI" HeaderText="">
					</telerik:GridBoundColumn>

					<telerik:GridBoundColumn UniqueName="colDescription" DataField="Description" HeaderText="">
					</telerik:GridBoundColumn>

					<telerik:GridBoundColumn UniqueName="colDescriptionBI" DataField="DescriptionBI" HeaderText="">
					</telerik:GridBoundColumn>

					<telerik:GridBoundColumn UniqueName="colCreatedBy" DataField="CreatedBy" HeaderText="">
					</telerik:GridBoundColumn>

					<telerik:GridBoundColumn UniqueName="colCreatedON" DataField="CreatedOn" HeaderText="">
					</telerik:GridBoundColumn>

					<telerik:GridBoundColumn UniqueName="colModifiedBy" DataField="ModifiedBy" HeaderText="">
					</telerik:GridBoundColumn>

					<telerik:GridBoundColumn UniqueName="colModifiedOn" DataField="ModifiedOn" HeaderText="">
					</telerik:GridBoundColumn>
				</Columns>

				<EditFormSettings EditFormType="Template" PopUpSettings-Modal="true">
					<FormTemplate>
						<table>
							<tr>
								<td colspan="3">
									<br />
									<asp:Label runat="server" ID="lblStatus" Font-Bold="true" />
									<br />
								</td>
							</tr>
							<tr>
								<td class="tdControl">
									<telerik:RadTextBox ID="txtCountryId" runat="server" Width="300" ReadOnly="true" Text='<%# Bind("Record_Id") %>' />
								</td>
								<td></td>
							</tr>
							<tr>
								<td class="tdControl">
									<telerik:RadTextBox ID="txtContinent" runat="server" Width="300" MaxLength="255" Text='<%# Bind("Continent") %>' />
								</td>
								<td></td>
							</tr>
							<tr>
								<td class="tdControl">
									<telerik:RadTextBox ID="txtContinentBI" runat="server" Width="300" MaxLength="255" Text='<%# Bind("ContinentBI") %>' />
								</td>
								<td></td>
							</tr>

							<tr>

								<td class="tdControl">
									<telerik:RadTextBox ID="txtDescription" runat="server" Width="300" MaxLength="255" ValidationGroup="CountryValidation" Wrap="false"
										EmptyMessage="empty message"
										Text='<%# Bind("Description") %>' />
								</td>
								<td>
									<asp:RequiredFieldValidator ID="rfvDescription" runat="server" ValidationGroup="CountryValidation" ControlToValidate="txtDescription"
										ErrorMessage="error message" Text="*" />
								</td>
							</tr>
							<tr>
								<td class="tdControl">
									<telerik:RadTextBox ID="txtDescriptionBI" runat="server" Width="300" MaxLength="255" ValidationGroup="CountryValidation" Wrap="False"
										EmptyMessage="empty message" Text='<%# Bind("DescriptionBI") %>' />
								</td>
								<td>
									<asp:RequiredFieldValidator ID="rfvDescriptionBI" runat="server" ValidationGroup="CountryValidation" ControlToValidate="txtDescriptionBI"
										ErrorMessage="error message" Text="*" />
								</td>
							</tr>
						</table>

						<br />
						<br />

						<table>
							<tr>
								<td class="tdButton">
									<telerik:RadButton ID="btnSubmit" runat="server" Width="100%" ValidationGroup="CountryValidation"
										Text="Submit"
										CommandName='<%# (Container is GridEditFormInsertItem) ? "PerformInsert" : "Update" %>' />
								</td>
								<td class="tdButton">
									<telerik:RadButton ID="btnCancel" runat="server" Width="100%"
										Text="Cancel"
										CommandName="Delete" />
								</td>
							</tr>
						</table>


					</FormTemplate>
				</EditFormSettings>

			</MasterTableView>
		</telerik:RadGrid>
	</form>
</body>
</html>
